mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)

Classes that extend the class should implement the interface to enumerate key container information using a object, and to import and export Microsoft Cryptographic API (CAPI)–compatible key blobs.

Defines methods that allow an class to enumerate key container information, and import and export Microsoft Cryptographic API (CAPI)–compatible key blobs.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.CspKeyContainerInfo To be added.

  The returned object specifies whether the key is exportable, and provides the key container name, information about the provider, and other information.

  Gets a object that describes additional information about a cryptographic key pair.

- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The method returns a blob that contains key information that is compatible with the unmanaged Microsoft Cryptographic API (CAPI).

  Exports a blob that contains the key information associated with an object.

  A byte array that contains the key information associated with an object.

  true to include the private key; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method initializes the key data of an object using a blob that is compatible with the unmanaged Microsoft Cryptographic API (CAPI).

  Imports a blob that represents asymmetric key information.

  A byte array that represents an asymmetric key blob.